IntelliCAD 11.1 Object Library | |
AddWedge Method | |
See Also |
- Origin
- A Point object identifying the origin point of the wedge.
- Length
- The length of the wedge along the x axis.
- Width
- The width of the wedge along the y axis.
- Height
- The height of the wedge along hte z axis.
PaperSpace Collection : AddWedge Method |
Description
Syntax
Parameters
- Origin
- A Point object identifying the origin point of the wedge.
- Length
- The length of the wedge along the x axis.
- Width
- The width of the wedge along the y axis.
- Height
- The height of the wedge along hte z axis.
Example
Private Sub AddWedge_Example()
' This example adds a wedge to the drawing using the AddWedge method.
Dim myDoc As IntelliCAD.Document
Dim wedgeObj As IntelliCAD.PolygonMesh
Dim origPt As Point
Set myDoc = ActiveDocument
Set origPt = Library.CreatePoint(2, 1, 0)
Set wedgeObj = ThisDocument.ModelSpace.AddWedge(origPt, 3, 2, 2)
wedgeObj.Update
ThisDocument.Application.ZoomExtents
End Sub